Bug 1625656 - CVE-2018-10911 glusterfs: Improper deserialization in dict.c:dict_unserialize() can allow attackers to read arbitrary memory
Summary: CVE-2018-10911 glusterfs: Improper deserialization in dict.c:dict_unserialize...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: core
Version: 3.12
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On: 1625079 1625089
Blocks: CVE-2018-10911
TreeView+ depends on / blocked
 
Reported: 2018-09-05 13:08 UTC by Amar Tumballi
Modified: 2018-09-14 08:30 UTC (History)
10 users (show)

Fixed In Version: glusterfs-3.12.14
Doc Type: Release Note
Doc Text:
Clone Of: 1625089
Environment:
Last Closed: 2018-09-14 08:30:35 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Embargoed:


Attachments (Terms of Use)

Description Amar Tumballi 2018-09-05 13:08:53 UTC
+++ This bug was initially created as a clone of Bug #1625089 +++

+++ This bug was initially created as a clone of Bug #1625079 +++


This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

--- Additional comment from Siddharth Sharma on 2018-09-04 01:43:47 EDT ---

Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1601657,1625079

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

--- Additional comment from Worker Ant on 2018-09-04 01:53:15 EDT ---

REVIEW: https://review.gluster.org/21067 (dict: handle negative key/value length while unserialize) posted (#1) for review on master by Amar Tumballi

--- Additional comment from Worker Ant on 2018-09-05 05:23:46 EDT ---

COMMIT: https://review.gluster.org/21067 committed in master by "Amar Tumballi" <amarts> with a commit message- dict: handle negative key/value length while unserialize

Fixes: bz#1625089
Change-Id: Ie56df0da46c242846a1ba51ccb9e011af118b119
Signed-off-by: Amar Tumballi <amarts>

--- Additional comment from Worker Ant on 2018-09-05 09:05:39 EDT ---

REVIEW: https://review.gluster.org/21096 (dict: handle negative key/value length while unserialize) posted (#1) for review on release-4.1 by Amar Tumballi

Comment 1 Worker Ant 2018-09-05 13:10:49 UTC
REVIEW: https://review.gluster.org/21097 (dict: handle negative key/value length while unserialize) posted (#2) for review on release-3.12 by Amar Tumballi

Comment 2 Worker Ant 2018-09-06 15:54:23 UTC
COMMIT: https://review.gluster.org/21097 committed in release-3.12 by "jiffin tony Thottan" <jthottan> with a commit message- dict: handle negative key/value length while unserialize

Change-Id: Ie56df0da46c242846a1ba51ccb9e011af118b119
BUG: 1625656
Signed-off-by: Amar Tumballi <amarts>

Comment 3 Jiffin 2018-09-14 08:30:35 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.12.14, please open a new bug report.

glusterfs-3.12.14 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] https://lists.gluster.org/pipermail/announce/2018-September/000112.html
[2] https://www.gluster.org/pipermail/gluster-users/


Note You need to log in before you can comment on or make changes to this bug.